// File: SocketClient.java
// TCP/IP Java Client Example

import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;
import java.net.*;

class SocketClient15000 extends JFrame
		 implements ActionListener {

   JLabel text, clicked;
   JButton First,Second;
   JPanel panel;
   Socket socket = null;
   PrintWriter out = null;
   BufferedReader in = null;

   SocketClient15000(){ //Begin Constructor
     First = new JButton("First");
     First.addActionListener(this);
     Second= new JButton("Second");
     Second.addActionListener(this);
     // Put the buttons onto a panel, and the panel onto the frame
     JPanel BPanel=new JPanel();
     BPanel.setLayout(new BorderLayout());
     BPanel.add("North",First);
     BPanel.add("South",Second);

     panel = new JPanel();
     panel.setLayout(new BorderLayout());
     panel.setBackground(Color.white);
     getContentPane().add(panel);
     panel.add("East",BPanel);
   } //End Constructor

  public void actionPerformed(ActionEvent event){
     Object source = event.getSource();
     // Can check for just a Button if only 1 Button
     if (source == First) 
	out.println("1");	// Send a 1 to the server	
     else if (source == Second) 
	out.println("2");	// Send a 2 to the server
  }
  
  public void useSocket(String ServerName,int port)
  {  //Create socket connection
     try{
       socket = new Socket(ServerName, port);
       out = new PrintWriter(socket.getOutputStream(), true);
       in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
     } catch (UnknownHostException e) {
       System.out.println("Unknown host: acad");
       System.exit(1);
     } catch  (IOException e) {
       System.out.println("No I/O");
       System.exit(1);
     }
  }

   public static void main(String[] args)
   {    SocketClient15000 frame = new SocketClient15000();
	frame.setTitle("Client Program");
        WindowListener l = new WindowAdapter() {
                public void windowClosing(WindowEvent e) {
                        System.exit(0);
                }
        };

        frame.addWindowListener(l);
        frame.pack();
        frame.setVisible(true);
	String ServerName="";
	if (args.length==0) {
     	  try {
		ServerName=JOptionPane.showInputDialog("Input Server Name");
     	  }
     	  catch (Exception NoServer) {
       	    	System.out.println("Server Error - Unreachable?? ");
       		System.exit(0);
     	  }
	}
	else try {
	  ServerName=args[0];
	}
   	catch (Exception noPort) {
       	  System.out.println("Invalid Command Line Argument");
       	  System.exit(0);
     	}
	frame.useSocket(ServerName,15000);
   }
}
